BinaryBooleanExpressionHelper (Groovy 5.1.0)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryBooleanExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryBooleanExpressionHelper

-     public class BinaryBooleanExpressionHelper
      extends BinaryIntExpressionHelper

  Binary write operations specialised for Booleans

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionWriter` | `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryBooleanExpressionHelper(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected ClassNode` | `getArrayGetResultType()`
    `` | `protected ClassNode` | `getDevisionOpResultType()`
    `` | `protected ClassNode` | `getNormalOpResultType()`
    `` | `protected int` | `getShiftOperationBytecode(int type)`
    `` | `protected int` | `getStandardOperationBytecode(int type)`
    `` | `protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected boolean` | `writeDivision(boolean simulate)`
    `` | `protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
    `` | `public boolean` | `writePostOrPrefixMethod(int operation, boolean simulate)`
    `` | `protected boolean` | `writeStdOperators(int type, boolean simulate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryIntExpressionHelper` | `doubleTwoOperands, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, writeMinusMinus, writePlusPlus, writeSpaceship, writeStdCompare`
    `class BinaryExpressionWriter` | `arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getController, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, setArraySetAndGet, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`

- - ### Constructor Detail

    - #### public BinaryBooleanExpressionHelper(WriterController wc)

  - ### Method Detail

    - #### @Override
      protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### @Override
      protected ClassNode getArrayGetResultType()

    - #### @Override
      protected ClassNode getDevisionOpResultType()

    - #### @Override
      protected ClassNode getNormalOpResultType()

    - #### @Override
      protected int getShiftOperationBytecode(int type)

    - #### @Override
      protected int getStandardOperationBytecode(int type)

    - #### @Override
      protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### @Override
      protected boolean writeDivision(boolean simulate)

    - #### @Override
      protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

    - #### @Override
      protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

    - #### @Override
      public boolean writePostOrPrefixMethod(int operation, boolean simulate)

    - #### @Override
      protected boolean writeStdOperators(int type, boolean simulate)